# Get a wallet

Get a wallet by ID

Endpoint: GET /v2/vaults/{vaultId}/wallets/{walletId}
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `vaultId` (string, required)
    The vault ID

  - `walletId` (string, required)
    The wallet ID

## Response 200 fields (application/json):

  - `id` (string, required)
    The wallet ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `vaultId` (string, required)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `quorumId` (string)
    The quorum ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdBy` (string, required)
    The user ID that created the wallet
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdAt` (string, required)
    The date and time the wallet was created
    Example: "2022-03-29T10:22:22.420Z"

  - `updatedAt` (string, required)
    The date and time the wallet was update
    Example: "2022-03-29T10:22:22.420Z"

  - `name` (string, required)
    The name of the wallet
    Example: "USD Issuing wallet"

  - `description` (string)
    The description of the wallet
    Example: "Main USD issuing account used internally"

  - `address` (string)
    The address of the wallet
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `publicKey` (string)
    The public key of the wallet
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `keystore` (string, required)
    Enum: "HSM", "MPC"

  - `blockchain` (string)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `settings` (object, required)

  - `settings.enabled` (boolean, required)
    Whether the wallet is enabled or not
    Example: "true"

  - `settings.rawSigningEnabled` (boolean, required)
    Whether raw signing is enabled for the wallet
    Example: "true"

  - `settings.sweepingEnabled` (boolean, required)
    Whether sweeping is enabled for the wallet
    Example: "true"

  - `settings.defaultFreezeEnabled` (boolean, required)
    Whether to freeze inbound transactions by default
    Example: "true"

  - `status` (string, required)
    Enum: "CREATED", "PROVISIONING", "PROVISIONED_WALLET", "PROVISIONING_POLICY", "PROVISIONING_COMPLIANCE", "PROVISIONED_COMPLIANCE", "PROVISIONED", "PROVISIONING_FAILED"

  - `reasons` (array)
    The reasons why the wallet may have failed to provision
    Example: ["MPC session timed out"]

  - `alias` (string)
    The alias of the wallet
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `externalId` (string)
    External ID of this wallet, unique to the organization
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `correlationId` (string)
    Correlation ID for the wallet
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `keyAlgorithm` (string, required)
    Enum: "SECP256K1", "ED25519"

  - `walletType` (string)
    Enum: "WALLET_TYPE_BLOCKCHAIN"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


